SBLAT2(3)

SYNOPSIS
SUBROUTINE SBLAT2 (NOUT, KPRINT, IPASS)

NAME
sblat2 - Driver for testing Level 2 BLAS single precision subroutines.

LIBRARY
SLATEC (BLAS)

CATEGORY
A3A

TYPE
SINGLE PRECISION (SBLAT2-S, DBLAT2-D, CBLAT2-C)

KEYWORDS
BLAS, QUICK CHECK DRIVER

AUTHOR
Du Croz, J. J., (NAG) Hanson, R. J., (SNLA)

DESCRIPTION
Test program for the REAL Level 2 Blas.

REFERENCES
Dongarra, J. J., Du Croz, J. J., Hammarling, S. and Hanson, R. J. An extended set of Fortran Basic Linear Algebra Subprograms. ACM TOMS, Vol. 14, No. 1, pp. 1-17, March 1988.

ROUTINES CALLED
LSE, R1MACH, SCHK12, SCHK22, SCHK32, SCHK42, SCHK52, SCHK62, SCHKE2, SMVCH, XERCLR

REVISION HISTORY (YYMMDD)
870810 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)
930315 Removed unused variables. (WRB)
930618 Code modified to improve PASS/FAIL reporting. (BKS, WRB)